Skip to main content
GET
/
products
/
get-product-activity
/
v1
Get product activity
curl --request GET \
  --url https://api.collectpure.com/products/get-product-activity/v1 \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "event": "<string>",
      "createdAt": "<string>",
      "price": 123,
      "quantity": 123,
      "spotPremium": 123,
      "spotPremiumDollar": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.collectpure.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

productId
string
required

The ID of the product to get activity for

variantId
string
required

The ID of the variant to get activity for

Response

200 - application/json

Default Response

data
object[]
required